Bug 856164 - rhevm-cli : --storagedomain appears as an option in all vm actions
rhevm-cli : --storagedomain appears as an option in all vm actions
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-cli (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Michael Pasternak
Ilia Meerovich
Depends On:
Blocks: 915537
  Show dependency treegraph
Reported: 2012-09-11 07:09 EDT by Oded Ramraz
Modified: 2016-07-04 20:07 EDT (History)
10 users (show)

See Also:
Fixed In Version: si20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-12-04 14:56:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Oded Ramraz 2012-09-11 07:09:47 EDT
Description of problem:

When trying to detach VM from pool using CLI I see storagedomain parameter and don't see pool id parameter . 
I didn't understand the meaning of detaching VM from storagedomain.
It seems like pool id should be added to RSDL.  

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:

[RHEVM shell (connected)]# action vm w7-temp detach 
correlation_id  storagedomain
Comment 1 Michael Pasternak 2012-09-11 07:16:28 EDT
you should not see pool-id parameter, as vm can be attached only to one
vm-pool, only bug here is that you see not relevant --storagedomain 

correct syntax (as suggested by cli) is: 'action vm xxx detach'
Comment 2 Michael Pasternak 2012-09-24 02:29:40 EDT
the reason for this is that actions for vm exist in two dimensions:

1. None
2. storagedomain

e.g vm has actions when it in context of storagedomain (like import)
and without any context (like start, stop, etc.), auto-completion refactored
to be action context-aware and exclude not relevant options for the
given context.
Comment 4 Ilia Meerovich 2012-11-25 04:13:22 EST
[RHEVM shell (connected)]# action vm boo 
cancelmigration  detach           export           import_vm        migrate          move             shutdown         start            stop             suspend          ticket           
[RHEVM shell (connected)]# action vm boo detach --correlation_id --correlation_id

only --correlation_id left as it should be

Note You need to log in before you can comment on or make changes to this bug.